Bug 17106 - DataTables patron search defaulting to 'starts_with' - doc
Summary: DataTables patron search defaulting to 'starts_with' - doc
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 15930
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-11 08:38 UTC by Fridolin Somers
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17106 - DataTables patron search defaulting to 'starts_with' - doc (1.09 KB, patch)
2016-08-11 08:42 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17106 - DataTables patron search defaulting to 'starts_with' - doc (1.19 KB, patch)
2016-08-11 12:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17106 - DataTables patron search defaulting to 'starts_with' - doc (1.21 KB, patch)
2016-08-12 11:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2016-08-11 08:38:34 UTC
Bug 15930 modified default value for DataTables patron search.

The doc text should also be modified : 
"Can be 'contain' or 'start_with' (default value). Used for the searchmember parameter."
Comment 1 Fridolin Somers 2016-08-11 08:42:33 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-11 12:47:21 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-12 11:41:38 UTC
Created attachment 54360 [details] [review]
Bug 17106 - DataTables patron search defaulting to 'starts_with' - doc

Bug 15930 modified default value for DataTables patron search.

The doc text should also be modified :
"Can be 'contain' or 'start_with' (default value). Used for the
searchmember parameter."

Test plan :
- install Koha with patch
- look at man page man/man3/C4::Utils::DataTables::Members.3pm

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-08-18 16:17:47 UTC
Pushed to master for 16.11, thanks Frido!
Comment 5 Frédéric Demians 2016-08-23 10:48:33 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-25 07:27:07 UTC
Pushed to 3.22.x, will be in 3.22.10